# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
# Usage

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: gmgr16.exe

dos16b: gmgr1b.exe

dos32: gmgr32.exe

win16: wgmgr16.exe

win32: wgmgr32.exe

win32dll: wgmgr.exe

vxworks: vgmgr.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for gmgr16.exe
#
TARGET=gmgr16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=gmgr.cpp gmgrwin.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for gmgr1b.exe
#
TARGET=gmgr1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
SOURCE_FILES=gmgr.cpp gmgrwin.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for gmgr32.exe
#
TARGET=gmgr32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=gmgr.cpp gmgrwin.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wgmgr16.exe
#
TARGET=wgmgr16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=gmgr.cpp gmgrwin.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wgmgr32.exe
#
TARGET=wgmgr32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=gmgr.cpp gmgrwin.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wgmgr.exe
#
TARGET=wgmgr.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=gmgr.cpp gmgrwin.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vgmgr

#
# Build options for vgmgr.o
#
TARGET=vgmgr.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=gmgr.cpp gmgrwin.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
